### Method

# Cogl Onscreen swap_region

#### Declaration [src]

    void
    cogl_onscreen_swap_region (
      CoglOnscreen* onscreen,
      const int* rectangles,
      int n_rectangles,
      CoglFrameInfo* info,
      gpointer user_data
    )

#### Description [src]

Swaps a region of the back buffer being rendered too, to the front for display. `rectangles` represents the region as array of `n_rectangles` each defined by 4 sequential (x, y, width, height) integers.

This function also implicitly discards the contents of the color, depth and stencil buffers as if `cogl_framebuffer_discard_buffers()` were used. The significance of the discard is that you should not expect to be able to start a new frame that incrementally builds on the contents of the previous frame.

#### Parameters

`rectangles`

  Type: An array of `int`

  An array of integer 4-tuples representing rectangles as (x, y, width, height) tuples.

  The length of the array is specified in the `n_rectangles` argument.
  The data is owned by the caller of the method.

`n_rectangles`

  Type: `int`

  The number of 4-tuples to be read from `rectangles`.

`info`

  Type: `CoglFrameInfo`

  No description available.

  The data is owned by the caller of the method.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.